Subject: [regext] draft-ietf-regext-rfc7482bis Last Call Comments Channeled from draft-blanchet-regext-rdap-deployfindings

From: "Hollenbeck, Scott" <[email-masked]>
Date: Tue, 18 Aug 2020 14:12:37 +0000

Marc Blanchet recently asked me if I had reviewed draft-blanchet-regext-rdap-deployfindings as I edited the 7482bis and 7483bis documents. I missed that, so I thought I'd do it in the context of the working group last call for the two documents. Here's my summary for draft-ietf-regext-rfc7482bis:

There are two sections in draft-blanchet-regext-rdap-deployfindings that talk about RFC 7482: 4.1 (percent encoding of the ":" character in IPv6 addresses) and 6.1 (search patterns). 7482bis notes that the structure of the IP address formats are described in Section 3.2.2 of RFC 3986, so I think the document is fine with respect to acceptable formats. For what it's worth, 3986 explicitly notes that "URI producing applications must not use percent-encoding in host unless it is used to represent a UTF-8 character sequence". I interpret this to mean "RDAP queries MUST NOT include percent-encoded ":" characters in IPv6 addresses". That's probably worth talking about is some other place if there are clients sending such queries as reported by Marc.

Section 6.1 describes an issue with a confusing use of the term "search pattern" for an IP address query term that isn't really a search pattern. That should be fixed as follows:

OLD:
"ZZZZ is a search pattern representing an IPv4"
"Syntax: domains?nsIp=<domain search pattern>"
"YYYY is a search pattern representing an IPv4"
"Syntax: nameservers?ip=<nameserver search pattern>

NEW:
"ZZZZ is an IPv4"
"Syntax: domains?nsIp=<nameserver IP address>"
"YYYY is an IPv4"
"Syntax: nameservers?ip=<nameserver IP address>"

Is there anything here that requires additional discussion? If not, I'll make the changes described above. Thanks, Marc.

Scott